bitel.billing.server.ipn.bean

## Class ServiceLinkManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.ServiceLinkManager

-     public class ServiceLinkManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceLinkManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyLinks(int fromId, int toId)`
    `void` | `deleteServiceLink(int id)`
    `ServiceLink` | `getServiceLink(int id)`
    `java.util.List<ServiceLink>` | `getServiceLinkList()`
    `java.util.List<ServiceLink>` | `getServiceLinkList(java.util.Calendar date, int sourceId)`
    `java.util.List<ServiceLink>` | `getServiceLinkList(int plan, int sid, java.util.Calendar date)`
    `void` | `updatePlanLinks(int planId, java.util.List<ServiceLink> serviceLinkList)`
    `void` | `updateServiceLink(ServiceLink sl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceLinkManager

          public ServiceLinkManager(java.sql.Connection con,
                                    int mid)

  - ### Method Detail

    - #### getServiceLinkList

          public java.util.List<ServiceLink> getServiceLinkList()

    - #### getServiceLinkList

          public java.util.List<ServiceLink> getServiceLinkList(int plan,
                                                                int sid,
                                                                java.util.Calendar date)

    - #### getServiceLinkList

          public java.util.List<ServiceLink> getServiceLinkList(java.util.Calendar date,
                                                                int sourceId)

    - #### getServiceLink

          public ServiceLink getServiceLink(int id)

    - #### updateServiceLink

          public void updateServiceLink(ServiceLink sl)

    - #### deleteServiceLink

          public void deleteServiceLink(int id)

    - #### updatePlanLinks

          public void updatePlanLinks(int planId,
                                      java.util.List<ServiceLink> serviceLinkList)

    - #### copyLinks

          public void copyLinks(int fromId,
                                int toId)